Runtime

## org.eclipse.gmf.runtime.common.ui.services.elementselection
Interface IMatchingObjectEvent

All Known Implementing Classes:
  MatchingObjectEvent

public interface IMatchingObjectEvent

Interface describing a matching object event for the element selection service.

The element selection service returns IMatchingObjectEvent to the IElementSelectionListener. If there are ten matching objects, then eleven IMatchingObjectEvent will be sent to the listener. The first ten will have type MatchingObjectEventType.MATCH and will have a matching object. The eleventh event will have type MatchingObjectEventType.END_OF_MATCHES.

Method Summary
`MatchingObjectEventType` `getEventType()` Retrieve the matching object event type.
`IMatchingObject` `getMatchingObject()` Retrieve the matching object.

Method Detail

### getEventType

    public MatchingObjectEventType getEventType()

  Retrieve the matching object event type.

  Returns:
    the matching object event type.

### getMatchingObject

    public IMatchingObject getMatchingObject()

  Retrieve the matching object.

  Returns:
    the matching object.

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.